import { Resource } from '../../Resource';
export class Attestation extends Resource {
    constructor(api, env) {
        super(api, 'Attestation', env);
        this.setResource({
            createVinVC: {
                method: 'POST',
                path: '/v1/vc/vin/:tokenId',
                auth: 'vehicle_jwt',
                queryParams: {
                    'force': false
                }
            },
            createPomVC: {
                method: 'POST',
                path: '/v1/vc/pom/:tokenId',
                auth: 'vehicle_jwt'
            }
        });
    }
}
